Source code for Pro iOS Table Views: for iPhone, iPad and iPod Touch
====================================================================
This project contains the source code from *Pro iOS Table Views*, published by Apress.

It's divided by chapter, and contains the source code for the projects referenced in the text.

To clone the source code en-masse, use
`git clone git@github.com:timd/Pro-iOS-TableViews.git`

Notes
-----
The code was written using Xcode 4.2, and compiled against iOS5. It's been tested on an iPhone 4 and iPad 2. All projects use ARC.

The book
--------
*Pro iOS Table Views: for iPhone, iPad and iPod Touch* is published by Apress, Inc.

ISBN-13: 978-0-4302-3348-0 (print)

ISBN-13: 978-1-4302-3349-7 (eBook)

It's available from Amazon and other sources:

(US) [http://www.amazon.com/Pro-iOS-Table-Views-iPhone/dp/1430233486/](http://www.amazon.com/Pro-iOS-Table-Views-iPhone/dp/1430233486/)

(UK) [http://www.amazon.co.uk/Pro-iOS-Table-Views-iPhone/dp/1430233486/](http://www.amazon.co.uk/Pro-iOS-Table-Views-iPhone/dp/1430233486/)

Book Abstract:
--------------

If you’re an iOS app developer, chances are you’ll be using table views in your development projects. Table views are the bread and butter of iOS apps. With them, you can create everything from the simplest of lists to fully tricked-out user interfaces. 

Table views are one of the most complex components found in UIKit. While using them for boring standard user interfaces is quite simple, customizing them can become really challenging. 
Pro iOS Table Views takes a task-oriented focus to assist you when implementing customized table views. Although it delves deeply into the Table View API, you can always decide in which level of detail you want to dive in. It’s aimed to be a great reference and customization cookbook at the same time, useful for beginners as well as intermediate developers.  

* Covers the entire Table View API in depth
* Covers customization and performance topics in depth
* Task-oriented reference with multiple levels of detail

*What you’ll learn*

* The anatomy of tables and cells
* The design patterns that power the table view
* How to create and configure table views
* How to customize every last little detail of the table view
* How to use table views on the iPad
* Advanced tips and tricks for performance and killer user interfaces
* The latest updates in iOS 5 and how to exploit them

*Who this book is for*

The book is targeted at iOS developers who need to customize Table Views. The information is divided into several layers of detail. While the book covers complex customization topics and user interaction techniques, it provides the fundamental basics needed for customization. Both beginners and intermediate developers will find great value in this book as a helpful reference, at hand to quickly refresh their knowledge at any given time.

Code license
============
This code is licensed under the MIT License. See License.txt in each project for details.
